<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKTabExpViewBase from './ibizbooktab-exp-view-base.vue';

import view_tabexppanel from '@widgets/ibizbook/tab-exp-viewtabexppanel-tabexppanel/tab-exp-viewtabexppanel-tabexppanel.vue';
// 基于 @VIEW/实体分页导航视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_tabexppanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKTabExpView extends IBIZBOOKTabExpViewBase {

}
</script>